/****************************************************
 *	Original name : CBaseSpr.cpp					*
 *													*
 *	Class for using base sprite.					*
 *													*
 *													*
 *	July 2003, LeadFiner							*
 ****************************************************/

#include "CBaseSpr.h"
#include "System2.h"	//for min/max functions
#include "Data.h"
#include "Map.h"
#include <mem.h>

/********************************************************************************
 *																				*
 *						Class constructors										*
 *																				*
 ********************************************************************************/

CBaseSpr::CBaseSpr(uchar objID, short initX, short initY)
{
	m_posX=initX;
	m_posY=initY;

	m_enable=TRUE;

	m_objectID=objID;
}

/********************************************************************************
 *																				*
 *						Class methodes inline									*
 *																				*
 ********************************************************************************/

void CBaseSpr::SetDisable()
{
	m_enable=FALSE;
}

BOOL CBaseSpr::IsEnable()
{
	return m_enable;
}

/********************************************************************************
 *																				*
 *						Class virtual methodes									*
 *																				*
 ********************************************************************************/

void CBaseSpr::Draw(){}

void CBaseSpr::SetPos(short x, short y)
{
	m_posX=x;
	m_posY=y;
}

void CBaseSpr::SetEnable()
{
	m_enable=TRUE;
}
/********************************************************************************
 *																				*
 *						Class methodes											*
 *																				*
 ********************************************************************************/
