/****************************************************
 *	Original name : CE_Bloc.cpp						*
 *													*
 *	Class for using bloc enemy.						*
 *													*
 *													*
 *	June 2003, LeadFiner							*
 ****************************************************/
#include "CE_Bloc.h"
#include "Data.h"
#include <stdlib.h>
#include "Map.h"

/********************************************************************************
 *																				*
 *						Class constructors										*
 *																				*
 ********************************************************************************/

CE_Bloc::CE_Bloc(short initX, short initY)
	:CEnemy(ENEMY_BLOC, initX, initY
	,BLOC_MARGE_BOTTOM
	,BLOC_MARGE_LEFT
	,BLOC_MARGE_TOP
	,BLOC_MARGE_RIGHT
	,BLOC_DAMAGE
	,BLOC_LIFE
	,BLOC_SPR_ID_ALL
	,BLOC_SPR_ID_ALL
	,BLOC_SPR_ID_ALL
	,BLOC_SPR_ID_ALL
	,BLOC_ANI_LEN)
{
}

/********************************************************************************
 *																				*
 *						Class methodes											*
 *																				*
 ********************************************************************************/

BOOL CE_Bloc::AutoMove()
{
	SetProp(PosPxToCase(M_POS_Xc,M_POS_Yc),P_STOP);

	return TRUE;	//no move
}

void CE_Bloc::SetDamaged()
{
	//nothing, no damage
}

char CE_Bloc::IncLife(char)
{
	return 1;	//can't be kill with weapon
}

void CE_Bloc::SetKilled()
{
	SetProp(PosPxToCase(M_POS_Xc,M_POS_Yc),P_TERRAN);
	CEnemy::SetKilled();
}

BOOL CE_Bloc::MoveTo(uchar)
{
	return FALSE;
}

