/****************************************************
 *	Original name : CE_Wall.cpp						*
 *													*
 *	Class for using wall enemy.						*
 *													*
 *													*
 *	June 2003, LeadFiner							*
 ****************************************************/
#include "CE_Wall.h"
#include "Data.h"
#include "Map.h"

/********************************************************************************
 *																				*
 *						Class constructors										*
 *																				*
 ********************************************************************************/

CE_Wall::CE_Wall(short initX, short initY)
	:CEnemy(ENEMY_WALL, initX, initY
	,WALL_MARGE_BOTTOM
	,WALL_MARGE_LEFT
	,WALL_MARGE_TOP
	,WALL_MARGE_RIGHT
	,WALL_DAMAGE
	,WALL_LIFE
	,WALL_SPR_ID_ALL
	,WALL_SPR_ID_ALL
	,WALL_SPR_ID_ALL
	,WALL_SPR_ID_ALL
	,WALL_ANI_LEN)
{
}

/********************************************************************************
 *																				*
 *						Class methodes											*
 *																				*
 ********************************************************************************/

BOOL CE_Wall::AutoMove()
{
	if(!MoveTo(m_direction)) m_direction=(m_direction+1)%4;

	if(globalTimer%64<32)
	{
		if(!MoveTo(m_direction)) m_direction=(m_direction+1)%4;
	}

	if(globalTimer%48<16)
	{
		if(!MoveTo(m_direction)) m_direction=(m_direction+1)%4;
	}


	return TRUE;
}

void CE_Wall::SetDamaged()
{
	if(hero.m_weapon1==NULL || hero.m_weapon1->m_objectID!=OBJECT_ARROW) return;

	CEnemy::SetDamaged();
}

char CE_Wall::IncLife(char inc)
{
	if(hero.m_weapon1==NULL || hero.m_weapon1->m_objectID!=OBJECT_ARROW) return 1;

	m_life+=inc;

	return m_life;
}