/****************************************************
 *	Original name : CI_Bomb.cpp						*
 *													*
 *	Class for using item bomb.						*
 *													*
 *													*
 *	July 2003, LeadFiner							*
 ****************************************************/
#include "CI_Bomb.h"
#include "Anim.h"
#include "DrwSprSW.h"
#include "Data.h"
#include "CW_Bomb.h"
#include "Map.h"
/********************************************************************************
 *																				*
 *						Data Declarations										*
 *																				*
 ********************************************************************************/

/********************************************************************************
 *																				*
 *						Class constructors										*
 *																				*
 ********************************************************************************/

CI_Bomb::CI_Bomb(short initX, short initY)
	:CItem(OBJECT_BOMB, initX, initY
	, ITEM_MARGE_BOTTOM
	,ITEM_MARGE_LEFT
	,ITEM_MARGE_TOP
	,ITEM_MARGE_RIGHT
	, BOMB_SPR_ID
	, BOMB_ANI_LEN)
{
}

/********************************************************************************
 *																				*
 *						Class methodes inline									*
 *																				*
 ********************************************************************************/

/********************************************************************************
 *																				*
 *						Class virtual methodes									*
 *																				*
 ********************************************************************************/


/********************************************************************************
 *																				*
 *						Class methodes											*
 *																				*
 ********************************************************************************/
BOOL CI_Bomb::Action()
{
	AddHeroWeapon(OBJECT_BOMB,5);

	return TRUE;
}

