/****************************************************
 *	Original name : CI_Boomg.cpp					*
 *													*
 *	Class for using item boomerang.					*
 *													*
 *													*
 *	July 2003, LeadFiner							*
 ****************************************************/
#include "CI_Boomg.h"
#include "Anim.h"
#include "DrwSprSW.h"
#include "Data.h"
#include "CW_Boomg.h"
#include "Map.h"
/********************************************************************************
 *																				*
 *						Data Declarations										*
 *																				*
 ********************************************************************************/

/********************************************************************************
 *																				*
 *						Class constructors										*
 *																				*
 ********************************************************************************/

CI_Boomg::CI_Boomg(short initX, short initY)
	:CItem(OBJECT_BOOMG, initX, initY
	, ITEM_MARGE_BOTTOM
	,ITEM_MARGE_LEFT
	,ITEM_MARGE_TOP
	,ITEM_MARGE_RIGHT
	,BOOMG_SPR_ID_RIGHT
	,BOOMG_ANI_LEN)
{
}

/********************************************************************************
 *																				*
 *						Class methodes inline									*
 *																				*
 ********************************************************************************/

/********************************************************************************
 *																				*
 *						Class virtual methodes									*
 *																				*
 ********************************************************************************/


/********************************************************************************
 *																				*
 *						Class methodes											*
 *																				*
 ********************************************************************************/

BOOL CI_Boomg::Action()
{
	AddHeroWeapon(OBJECT_BOOMG);

	return TRUE;
}

