/****************************************************
 *	Original name : CI_Key.cpp						*
 *													*
 *	Class for using keys .							*
 *													*
 *													*
 *	July 2003, LeadFiner							*
 ****************************************************/
#include "CI_Key.h"
#include "Anim.h"
#include "DrwSprSW.h"
#include "Data.h"
#include "Map.h"
#include "Draw.h"
#include "CHero.h"

/********************************************************************************
 *																				*
 *						Data Declarations										*
 *																				*
 ********************************************************************************/

/********************************************************************************
 *																				*
 *						Class constructors										*
 *																				*
 ********************************************************************************/

CI_Key::CI_Key(uchar keyCode, short initX, short initY)
	:CItem(keyCode, initX, initY
	, ITEM_MARGE_BOTTOM
	,ITEM_MARGE_LEFT
	,ITEM_MARGE_TOP
	,ITEM_MARGE_RIGHT
	,KEY_SPR_ID)
{
}

/********************************************************************************
 *																				*
 *						Class methodes inline									*
 *																				*
 ********************************************************************************/

BOOL CI_Key::IsEnable()
{
	if(GetMapID()==m_myMapID && m_objectID==OBJECT_KEY+7)	//key 8 special
	{
		if(CountEnemyInMap(GetMapID())==0) return TRUE;
		else return FALSE;
	}

	return CBaseSpr::IsEnable();
}

/********************************************************************************
 *																				*
 *						Class virtual methodes									*
 *																				*
 ********************************************************************************/


/********************************************************************************
 *																				*
 *						Class methodes											*
 *																				*
 ********************************************************************************/
