/****************************************************
 *	Original name : CI_PAttr.cpp					*
 *													*
 *	Class for using item pulsed attractor.			*
 *													*
 *													*
 *	July 2003, LeadFiner							*
 ****************************************************/
#include "CI_PAttr.h"
#include "Anim.h"
#include "Data.h"
#include "CW_PAttr.h"
#include "Map.h"
/********************************************************************************
 *																				*
 *						Data Declarations										*
 *																				*
 ********************************************************************************/

/********************************************************************************
 *																				*
 *						Class constructors										*
 *																				*
 ********************************************************************************/

CI_PAttr::CI_PAttr(short initX, short initY)
	:CItem(OBJECT_PATTR, initX, initY
	,ITEM_MARGE_BOTTOM
	,ITEM_MARGE_LEFT
	,ITEM_MARGE_TOP
	,ITEM_MARGE_RIGHT
	,PATTR_SPR_ID_RIGHT
	,PATTR_ANI_LEN)
{
}

/********************************************************************************
 *																				*
 *						Class methodes inline									*
 *																				*
 ********************************************************************************/

/********************************************************************************
 *																				*
 *						Class virtual methodes									*
 *																				*
 ********************************************************************************/


/********************************************************************************
 *																				*
 *						Class methodes											*
 *																				*
 ********************************************************************************/

BOOL CI_PAttr::Action()
{
	AddHeroWeapon(OBJECT_PATTR);

	return TRUE;
}

