/**
* @package Items
*/
/****************************************************
 *	Part of Shadow World project					*
 *													*
 *	Original name : CI_Plant.h						*
 *													*
 *	Header for CI_Plant.cpp							*
 *													*
 *													*
 *	July 2003, LeadFiner							*
 *	LeadFiner@wanadoo.fr							*
 ****************************************************/

#if !defined CI_PLANT
#define CI_PLANT

#include "Types2.h"
#include "CItem.h"
#include "Graphic.h"

/********************************************************************************
 *																				*
 *						Data Declarations and Defines							*
 *																				*
 ********************************************************************************/

#define PLANT_SPR_ID			238
#define PLANT_ANI_LEN			2
#define PLANT_ANI_SPEED			16

#define PLANT_MARGE_BOTTOM	1
#define PLANT_MARGE_RIGHT	1
#define PLANT_MARGE_LEFT	0
#define PLANT_MARGE_TOP		0

/********************************************************************************
 *																				*
 *						Class Declarations										*
 *																				*
 ********************************************************************************/

class CI_Plant : public CItem
{

public:
	CI_Plant(short initX, short initY);

public:
	BOOL m_isCut;
	uchar m_timer;

public:
	BOOL Action();
	void Draw();
};

#endif