/**
* @package Items
*/
/****************************************************
 *	Part of Shadow World project					*
 *													*
 *	Original name : CI_Push.h						*
 *													*
 *	Header for CI_Push.cpp							*
 *													*
 *													*
 *	July 2003, LeadFiner							*
 *	LeadFiner@wanadoo.fr							*
 ****************************************************/

#if !defined CI_PUSH
#define CI_PUSH

#include "Types2.h"
#include "CItem.h"
#include "Graphic.h"

/********************************************************************************
 *																				*
 *						Data Declarations and Defines							*
 *																				*
 ********************************************************************************/

#define PUSH_SPR_ID			224
#define PUSH_ANI_LEN		0
#define PUSH_SPR_DEGRAD_V	41
#define PUSH_SPR_DEGRAD_H	42

#define PUSH_MARGE_BOTTOM	0
#define PUSH_MARGE_RIGHT	0
#define PUSH_MARGE_LEFT		-1
#define PUSH_MARGE_TOP		-1

/********************************************************************************
 *																				*
 *						Class Declarations										*
 *																				*
 ********************************************************************************/

class CI_Push : public CItem
{

public:
	CI_Push(short initX, short initY);

public:

public:
	void Slide(char direction);
	BOOL Action();
};

#endif