/****************************************************
 *	Original name : CScenery.cpp					*
 *													*
 *	Class for using extra scenery use for 			*
 *	using perspective.								*
 *													*
 *	June 2003, LeadFiner							*
 ****************************************************/
#include "CScenery.h"
#include "Data.h"
#include "stdlib.h"
#include "DrwSprSW.h"

/********************************************************************************
 *																				*
 *						Class constructors										*
 *																				*
 ********************************************************************************/

CScenery::CScenery(short initX, short initY, uchar sprItemID, char aniLen, char aniSpeed)
	:CBaseSpr(OBJ_ID_SCENERY, initX, initY)
{
	m_sprItemID=sprItemID;
	m_aniLen=aniLen;
	m_aniSpeed=aniSpeed;

	//GetAniItem(aniItemID)->Activ=TRUE;
}

/********************************************************************************
 *																				*
 *						Class methodes											*
 *																				*
 ********************************************************************************/

void CScenery::Draw()
{
	DrawM21Spr_C(&memSprItem, m_posX-mapPosX,m_posY-mapPosY,GetAniSprItem(m_sprItemID, m_aniLen, m_aniSpeed),SEG1);
}
