/**
* @package Sceneries
*/
/****************************************************
 *	Part of Shadow World project					*
 *													*
 *	Original name : CScenery.h						*
 *													*
 *	Header for CScenery.cpp							*
 *													*
 *													*
 *	May 2003, LeadFiner								*
 *	LeadFiner@wanadoo.fr							*
 ****************************************************/

#if !defined CSCENERY
#define CSCENERY

#include "Types2.h"
#include "CBaseSpr.h"

/********************************************************************************
 *																				*
 *						Data Declarations and Defines							*
 *																				*
 ********************************************************************************/
#define ANI_ITEM_DEFAULT	0

#define SPR_ITEM_TREE_L		112
#define SPR_ITEM_TREE_R		114
#define ANI_LEN_TREE		2
#define ANI_SPEED_TREE_L	17
#define ANI_SPEED_TREE_R	18

#define SPR_ITEM_TREE2_L	116
#define SPR_ITEM_TREE2_R	117

#define SPR_ITEM_ROCK_L		118
#define SPR_ITEM_ROCK_R		119

#define SPR_ITEM_COLUMN		120

/********************************************************************************
 *																				*
 *						Class Declarations										*
 *																				*
 ********************************************************************************/

class CScenery : public CBaseSpr
{

public:
	CScenery(short initX, short initY, uchar sprItemID, char aniLen=ANI_NONE, char aniSpeed=DEFAULT_ANI_SPEED);

public:
	uchar m_sprItemID;
	char m_aniLen;
	char m_aniSpeed;

public:
	void Draw();

};

#endif