/**
* @package Weapons
*/
/****************************************************
 *	Part of Shadow World project					*
 *													*
 *	Original name : CW_PAttr.h						*
 *													*
 *	Header for CW_PAttr.cpp							*
 *													*
 *													*
 *	May 2003, LeadFiner								*
 *	LeadFiner@wanadoo.fr							*
 ****************************************************/

#if !defined CW_PATTR
#define CW_PATTR

#include "Types2.h"
#include "CWeapon.h"

/********************************************************************************
 *																				*
 *						Data Declarations and Defines							*
 *																				*
 ********************************************************************************/

#define PATTR_DAMAGE			0

#define PATTR_SPR_ID_BOTTOM		160
#define PATTR_SPR_ID_LEFT		161
#define PATTR_SPR_ID_TOP		162
#define PATTR_SPR_ID_RIGHT		163
#define PATTR_D_SPR_ID_BOTTOM	164
#define PATTR_D_SPR_ID_LEFT		165
#define PATTR_D_SPR_ID_TOP		166
#define PATTR_D_SPR_ID_RIGHT	167


#define	PATTR_MARGE_BOTTOM		2
#define	PATTR_MARGE_LEFT		2
#define	PATTR_MARGE_TOP			3
#define	PATTR_MARGE_RIGHT		2

#define PATTR_DISTANCE			32
/********************************************************************************
 *																				*
 *						Class Declarations										*
 *																				*
 ********************************************************************************/

class CW_PAttr : public CWeapon
{

public:
	CW_PAttr();

public:
	short m_destPosX;
	short m_destPosY;

public:
	void StateActionRun();
	void Draw();
};

#endif