/****************************************************
 *	Original name : Keys.cpp						*
 *													*
 *	Functions for keyboard.							*
 *													*
 *													*
 *	May 2003, LeadFiner								*
 ****************************************************/

#include "Keys.h"
#include <dos.h>

/********************************************************************************
 *																				*
 *						Data Declarations										*
 *																				*
 ********************************************************************************/

void interrupt EmptyInt(__CPPARGS) {};
void interrupt (*SaveInt)(__CPPARGS);

/********************************************************************************
 *																				*
 *						Function Declarations									*
 *																				*
 ********************************************************************************/

BOOL Touche(uchar code)
{
	uchar line=code & 0x0F;
	uchar column=((code >> 4) & 0x0F);
	
	outport(0x13,(1<<line));

	if ((inportb(0x13) & (1<<column))!=0)
	{
		return TRUE;
	}
	else
	{
		return FALSE;
	}
}

void SetDisableKeyBuf()
{
	SaveInt=_dos_getvect(0x9);
	_dos_setvect(0x9,EmptyInt);
}

void SetEnableKeyBuf(void)
{
	_dos_setvect(0x9,SaveInt);
}