/**
* @package System
*/
/****************************************************
 *	Part of Shadow World project					*
 *													*
 *	Original name : System2.h						*
 *													*
 *	System functions.								*
 *													*
 *													*
 *	May 2003, LeadFiner								*
 *	LeadFiner@wanadoo.fr							*
 ****************************************************/

#if !defined SYSTEM
#define SYSTEM

#include "Types2.h"

/********************************************************************************
 *																				*
 *						Function Prototypes										*
 *																				*
 ********************************************************************************/

extern void Exit();
extern void Wait(ushort t);
inline short max(short a, short b);
inline short min(short a, short b);


/********************************************************************************
 *																				*
 *						Function inline Declarations							*
 *																				*
 ********************************************************************************/


inline short max(short a, short b)
{
   return ( (a > b) ? a : b);
}

inline short min(short a, short b)
{
   return ( (a < b) ? a : b);
}

#endif

