/**
* @package Enemies
*/
/****************************************************
 *	Part of Shadow World project					*
 *													*
 *	Original name : CE_Croc.h						*
 *													*
 *	Header for CE_Croc.cpp							*
 *													*
 *													*
 *	May 2003, LeadFiner								*
 *	LeadFiner@wanadoo.fr							*
 ****************************************************/

#if !defined CE_CROC
#define CE_CROC

#include "Types2.h"
#include "CEnemy.h"

/********************************************************************************
 *																				*
 *						Data Declarations and Defines							*
 *																				*
 ********************************************************************************/

#define CROC_DAMAGE				-1
#define CROC_LIFE				2


#define CROC_SPR_ID_BOTTOM		16	
#define CROC_SPR_ID_LEFT		18
#define CROC_SPR_ID_TOP			20
#define CROC_SPR_ID_RIGHT		22

#define	CROC_MARGE_BOTTOM		0
#define	CROC_MARGE_LEFT			0
#define	CROC_MARGE_TOP			1
#define	CROC_MARGE_RIGHT		0

/********************************************************************************
 *																				*
 *						Class Declarations										*
 *																				*
 ********************************************************************************/
/**
* Class Croc-Croc Enemy which is a simple enemy
*/
class CE_Croc : public CEnemy
{

public:
	/**
	* Standard constructor
	* @see CEnemy#CEnemy()
	*/
	CE_Croc(short initX, short initY);
};

#endif