/**
* @package Enemies
*/
/****************************************************
 *	Part of Shadow World project					*
 *													*
 *	Original name : CE_Larva.h						*
 *													*
 *	Header for CE_Larva.cpp							*
 *													*
 *													*
 *	May 2003, LeadFiner								*
 *	LeadFiner@wanadoo.fr							*
 ****************************************************/

#if !defined CE_LARVA
#define CE_LARVA

#include "Types2.h"
#include "CEnemy.h"

/********************************************************************************
 *																				*
 *						Data Declarations and Defines							*
 *																				*
 ********************************************************************************/

#define LARVA_DAMAGE			-1
#define LARVA_LIFE				1


#define LARVA_SPR_ID_BOTTOM		8	
#define LARVA_SPR_ID_LEFT		10
#define LARVA_SPR_ID_TOP		12
#define LARVA_SPR_ID_RIGHT		14

#define	LARVA_MARGE_BOTTOM		0
#define	LARVA_MARGE_LEFT		0
#define	LARVA_MARGE_TOP			1
#define	LARVA_MARGE_RIGHT		0

/********************************************************************************
 *																				*
 *						Class Declarations										*
 *																				*
 ********************************************************************************/
/**
* Class Larva Enemy which create a simple enemy
*/
class CE_Larva : public CEnemy
{

public:
	/**
	* Standard constructor
	* @see CEnemy#CEnemy()
	*/
	CE_Larva(short initX, short initY);
};

#endif