/**
* @package Items
*/
/****************************************************
 *	Part of Shadow World project					*
 *													*
 *	Original name : CI_Buyer.h						*
 *													*
 *	Header for CI_Buyer.cpp							*
 *													*
 *													*
 *	July 2003, LeadFiner							*
 *	LeadFiner@wanadoo.fr							*
 ****************************************************/

#if !defined CI_BUYER
#define CI_BUYER

#include "Types2.h"
#include "CItem.h"
#include "Graphic.h"

/********************************************************************************
 *																				*
 *						Data Declarations and Defines							*
 *																				*
 ********************************************************************************/

#define BUYER_SPR_ID			226
#define BUYER_ANI_LEN			2
#define BUYER_ANI_SPEED			25

#define BUYER_MARGE_BOTTOM		0
#define BUYER_MARGE_RIGHT		0
#define BUYER_MARGE_LEFT		-1
#define BUYER_MARGE_TOP			-1

/********************************************************************************
 *																				*
 *						Class Declarations										*
 *																				*
 ********************************************************************************/

class CI_Buyer : public CItem
{

public:
	CI_Buyer(short initX, short initY);

public:

public:
	BOOL Action();
};

#endif