/**
* @package Items
*/
/****************************************************
 *	Part of Shadow World project					*
 *													*
 *	Original name : CI_HrtUp.h						*
 *													*
 *	Header for CI_HrtUp.cpp							*
 *													*
 *													*
 *	July 2003, LeadFiner							*
 *	LeadFiner@wanadoo.fr							*
 ****************************************************/

#if !defined CI_HRTUP
#define CI_HRTUP

#include "Types2.h"
#include "CItem.h"
#include "Graphic.h"

/********************************************************************************
 *																				*
 *						Data Declarations and Defines							*
 *																				*
 ********************************************************************************/

#define HRTUP_SPR_ID	220
#define HRTUP_ANI_LEN	4
#define HRTUP_ANI_SPEED	16

/********************************************************************************
 *																				*
 *						Class Declarations										*
 *																				*
 ********************************************************************************/

class CI_HrtUp : public CItem
{

public:
	CI_HrtUp(short initX, short initY);

public:

public:
	BOOL Action();

};

#endif