/**
* @package Items
*/
/****************************************************
 *	Part of Shadow World project					*
 *													*
 *	Original name : CI_Key.h						*
 *													*
 *	Header for CI_Key.cpp							*
 *													*
 *													*
 *	July 2003, LeadFiner							*
 *	LeadFiner@wanadoo.fr							*
 ****************************************************/

#if !defined CI_KEY
#define CI_KEY

#include "Types2.h"
#include "CItem.h"
#include "Graphic.h"

/********************************************************************************
 *																				*
 *						Data Declarations and Defines							*
 *																				*
 ********************************************************************************/

#define KEY_SPR_ID			208

/********************************************************************************
 *																				*
 *						Class Declarations										*
 *																				*
 ********************************************************************************/

class CI_Key : public CItem
{

public:
	CI_Key(uchar keyCode, short initX, short initY);

public:
	inline BOOL IsEnable();

public:

};

#endif