/**
* @package Items
*/
/****************************************************
 *	Part of Shadow World project					*
 *													*
 *	Original name : CI_Lock.h						*
 *													*
 *	Header for CI_Lock.cpp							*
 *													*
 *													*
 *	July 2003, LeadFiner							*
 *	LeadFiner@wanadoo.fr							*
 ****************************************************/

#if !defined CI_LOCK
#define CI_LOCK

#include "Types2.h"
#include "CItem.h"
#include "Graphic.h"

/********************************************************************************
 *																				*
 *						Data Declarations and Defines							*
 *																				*
 ********************************************************************************/

#define LOCK_SPR_ID			225
#define LOCK_ANI_LEN		0

#define LOCK_MARGE_BOTTOM	0
#define LOCK_MARGE_RIGHT	0
#define LOCK_MARGE_LEFT		-1
#define LOCK_MARGE_TOP		-1

/********************************************************************************
 *																				*
 *						Class Declarations										*
 *																				*
 ********************************************************************************/

class CI_Lock : public CItem
{

public:
	CI_Lock(uchar lockCode, short initX, short initY);

public:

public:
	BOOL Action();
	void Draw();
};

#endif