/****************************************************
 *	Original name : CI_Lock.cpp						*
 *													*
 *	Class for using lock bloc.						*
 *													*
 *													*
 *	July 2003, LeadFiner							*
 ****************************************************/
#include "CI_MTele.h"
#include "Data.h"
#include "Map.h"
#include "Draw.h"
#include "DrwSprSW.h"
#include "CHero.h"
#include "LoadFile.h"
#include "CLinkedS.h"
#include "System2.h"
#include "Keys.h"
/********************************************************************************
 *																				*
 *						Data Declarations										*
 *																				*
 ********************************************************************************/

/********************************************************************************
 *																				*
 *						Class constructors										*
 *																				*
 ********************************************************************************/

CI_MTele::CI_MTele(short initX, short initY)
	:CItem(OBJECT_MTELE, initX, initY
	,ITEM_MARGE_BOTTOM
	,ITEM_MARGE_LEFT
	,ITEM_MARGE_TOP
	,ITEM_MARGE_RIGHT
	,MTELE_SPR_ID
	,MTELE_ANI_LEN)
{
	m_timerEnable=TIME_4VAR_OFFSET;
}

/********************************************************************************
 *																				*
 *						Class methodes inline									*
 *																				*
 ********************************************************************************/

/********************************************************************************
 *																				*
 *						Class virtual methodes									*
 *																				*
 ********************************************************************************/

/********************************************************************************
 *																				*
 *						Class methodes											*
 *																				*
 ********************************************************************************/	

BOOL CI_MTele::Action()
{
	if(!Touche(KEY_ACTION)) return FALSE;

	AddHeroItem(OBJECT_MTELE);

	return TRUE;
}

BOOL CI_MTele::Use()
{	
	if(m_extra==2)
	{
		m_timerEnable=TIME_4VAR_OFFSET+1;	//hero have found the 2 Mega Telelporters

		//scan map for disable MTele object
		for(ushort indice=0; indice<dimMapX*dimMapY; indice++)
		{
			if(GetProp(indice)==P_MTELENOT)
			{
				DisplayTextWindow(DISP_WND_BOTTOM,LoadText(TEXT_NOT_USE_IN_MAP),FALSE);
				return FALSE;
			}
		}
		
		m_extra--;
		AddItem(OBJECT_MTELE,hero.m_safePosX,hero.m_safePosY);
	}
	else
	{
		CNode* curNode;

		//search Mega teleporter 2 in all maps
		for(curNode=items.m_head; curNode!=NULL && curNode->m_sprite->m_objectID!=OBJECT_MTELE; curNode=curNode->m_next);


		//no Mega teleporter 2
		if(curNode==NULL || m_timerEnable==TIME_4VAR_OFFSET)
		{
			DisplayTextWindow(DISP_WND_BOTTOM,LoadText(TEXT_MEGA_TELE2),FALSE);
			return FALSE;
		}

		//Mega teleporter 2 found

		//special FX
		for(uchar i=DEFAULT_SPR_CHRONO; i<DEFAULT_SPR_CHRONO+8; i++)
		{
			DrawScene();
			PaintM21Spr(&memSprItem,i,SEG1);
			SwapPage();
			Wait(100);
		}

		//set hero's position
		LoadMap(((CSprite*)curNode->m_sprite)->m_myMapID);
		hero.SetPos(curNode->m_sprite->m_posX, curNode->m_sprite->m_posY);
		DrawNextMapFX();
	}

	return TRUE;
}