/**
* @package Weapons
*/
/****************************************************
 *	Part of Shadow World project					*
 *													*
 *	Original name : CW_Arrow.h						*
 *													*
 *	Header for CW_Arrow.cpp							*
 *													*
 *													*
 *	July 2003, LeadFiner							*
 *	LeadFiner@wanadoo.fr							*
 ****************************************************/

#if !defined CW_ARROW
#define CW_ARROW

#include "Types2.h"
#include "CWeapon.h"

/********************************************************************************
 *																				*
 *						Data Declarations and Defines							*
 *																				*
 ********************************************************************************/

#define ARROW_DAMAGE			-1

#define ARROW_SPR_ID_BOTTOM		148
#define ARROW_SPR_ID_LEFT		149
#define ARROW_SPR_ID_TOP		150
#define ARROW_SPR_ID_RIGHT		151

#define	ARROW_MARGE_BOTTOM		2
#define	ARROW_MARGE_LEFT		2
#define	ARROW_MARGE_TOP			2
#define	ARROW_MARGE_RIGHT		2

#define	ARROW_STEP				2

/********************************************************************************
 *																				*
 *						Class Declarations										*
 *																				*
 ********************************************************************************/

class CW_Arrow : public CWeapon
{

public:
	CW_Arrow();

public:
	char m_incx;
	char m_incy;

public:
	void StateActionStart();
	void StateActionRun();
};

#endif