/**
* @package Weapons
*/
/****************************************************
 *	Part of Shadow World project					*
 *													*
 *	Original name : CW_Boomg.h						*
 *													*
 *	Header for CW_Boomg.cpp							*
 *													*
 *													*
 *	July 2003, LeadFiner							*
 *	LeadFiner@wanadoo.fr							*
 ****************************************************/

#if !defined CW_BOOMG
#define CW_BOOMG

#include "Types2.h"
#include "CWeapon.h"

/********************************************************************************
 *																				*
 *						Data Declarations and Defines							*
 *																				*
 ********************************************************************************/

#define BOOMG_DAMAGE			-1

#define BOOMG_SPR_ID_BOTTOM		153		//even if it turns
#define BOOMG_SPR_ID_LEFT		154		//it's for animation
#define BOOMG_SPR_ID_TOP		155
#define BOOMG_SPR_ID_RIGHT		156

#define	BOOMG_MARGE_BOTTOM		2
#define	BOOMG_MARGE_LEFT		2
#define	BOOMG_MARGE_TOP			3
#define	BOOMG_MARGE_RIGHT		2

#define	BOOMG_STEP				1

#define STATE_LAUNCH			0
#define STATE_COMEBACK			1

#define BOOMG_DISTANCE			28

/********************************************************************************
 *																				*
 *						Class Declarations										*
 *																				*
 ********************************************************************************/

class CW_Boomg : public CWeapon
{

public:
	CW_Boomg();

public:
	char m_inc;
	char m_internState;
	char m_keepDir;

public:
	void StateActionStart();
	void StateActionRun();
	void StateActionForceEnd();

};

#endif