/****************************************************
 *	Original name : CSword.cpp						*
 *													*
 *	Class for using sword.							*
 *													*
 *													*
 *	June 2003, LeadFiner							*
 ****************************************************/
#include "CW_Sword.h"
#include "Data.h"
#include "Map.h"

/********************************************************************************
 *																				*
 *						Class constructors										*
 *																				*
 ********************************************************************************/

CW_Sword::CW_Sword()
	:CWeapon(OBJECT_SWORD
	,SWORD_MARGE_BOTTOM
	,SWORD_MARGE_LEFT
	,SWORD_MARGE_TOP
	,SWORD_MARGE_RIGHT
	,SWORD_SPR_ID_BOTTOM
	,SWORD_SPR_ID_LEFT
	,SWORD_SPR_ID_TOP
	,SWORD_SPR_ID_RIGHT
	,SWORD_DAMAGE)
{
}

/********************************************************************************
 *																				*
 *						Class methodes											*
 *																				*
 ********************************************************************************/

void CW_Sword::StateActionRun()
{
	m_direction=hero.m_direction;

	switch(m_direction)
	{
	case DIR_BOTTOM:
		SetPos(hero.m_posX-5+m_timerLifeRun,hero.m_posY+8);
		break;
	case DIR_LEFT:
		SetPos(hero.m_posX-8,hero.m_posY-2+m_timerLifeRun);
		break;
	case DIR_TOP:
		SetPos(hero.m_posX+m_timerLifeRun,hero.m_posY-8);
		break;
	case DIR_RIGHT:
		SetPos(hero.m_posX+8,hero.m_posY-2+m_timerLifeRun);
		break;
	}

	if(m_timerLifeRun==5) m_stateAction=ACTION_END;

	m_timerLifeRun++;
}

