/**
* @package Weapons
*/
/****************************************************
 *	Part of Shadow World project					*
 *													*
 *	Original name : CSword.h						*
 *													*
 *	Header for CW_Sword.cpp							*
 *													*
 *													*
 *	May 2003, LeadFiner								*
 *	LeadFiner@wanadoo.fr							*
 ****************************************************/

#if !defined CSWORD
#define CSWORD

#include "Types2.h"
#include "CWeapon.h"

/********************************************************************************
 *																				*
 *						Data Declarations and Defines							*
 *																				*
 ********************************************************************************/

#define SWORD_DAMAGE	-1

#define SWORD_SPR_ID_BOTTOM		144
#define SWORD_SPR_ID_LEFT		145
#define SWORD_SPR_ID_TOP		146
#define SWORD_SPR_ID_RIGHT		147

#define	SWORD_MARGE_BOTTOM		2
#define	SWORD_MARGE_LEFT		2
#define	SWORD_MARGE_TOP			2
#define	SWORD_MARGE_RIGHT		2

/********************************************************************************
 *																				*
 *						Class Declarations										*
 *																				*
 ********************************************************************************/

class CW_Sword : public CWeapon
{

public:
	CW_Sword();

public:
	void StateActionRun();
};

#endif