/**
* @package Graphic
*/
// ******************************************************************
// * Je remercie avant tout MasterMage qui a bien voulu				*
// * fournir ses routines, que j'ai ensuite dbuggues et intgres	*
// * dans cette librairie. J'espre qu'elle vous conviendra.		*
// *																*
// * CopyRight (c) 2002 Wahb Ettoumi								*
// ******************************************************************

// ******************************************************************
// *		Modifications apportes le 10/05/2003 par LeadFiner		*
// *		nom d'origine : MXDRAW.H								*
// ******************************************************************

#if !defined GRAPHIC
#define GRAPHIC

#include "Types2.h"


#pragma inline

/**************** Defines *****************************************/

#define CONT_PLUS	0
#define CONT_MOINS	1

#define MODE_CB	0xcb
#define MODE_DB	0xdb
#define MODE_C3 0xc3
#define MODE_D3 0xd3

/**************** Prototypes des fonctions ************************/
extern void	SetMode			(uchar mode);					//change le mode graphique
//extern short GetCurSeg		(void);							//renvoi le segment video courant
//extern void	SetCurSeg		(short segm);					//change de segment video courant
extern void	ClearScreen		(short firstSeg);				//efface deux pages
extern void	ClearPage		(short segm);					//efface une page
//extern void	ClearScreenWith	(short firstSeg, short val);	//efface deux pages avec la valeur val
extern void	ClearPageWith	(short segm, short val);		//efface une page avec la valeur val
//extern void	Contrast		(uchar sens);					//change le contraste CONT_PLUS ou CONT_MOINS
extern void	ContrastTo		(char val);					//met le contraste a la valeur val
extern void	Contrast		(uchar sens, uchar nbr);		//augmente ou diminue nbr fois le contraste
extern void	ContrastP		();								//augmente le contraste
extern void	ContrastM		();								//diminue le contraste
//extern void	CopyPage		(short segsrc, short segdest);	//copie une page vers une autre
extern void	SwapPage		();								//copie les pages 1 vers 0 et 3 vers 2
extern uchar GetContrast	();								//by Swiffer



#endif




